{
    template:'${tmpl}',
    data:function(){
        return {
         
        }
    },
    mounted:function(){

    },
    created:function(){
      
    },
    methods:{
      onColFormater(row,column,cellvalue,index){
          if(column.property=="created_at"){
            var date = new Date(row["created_at"]);
            var time= date.toLocaleDateString();
            console.log(time);
            return time;
          }
          if(column.property=="customerinfo.name"){
            if(!row.customerinfo){
              return "---";
            }else{
               return row.customerinfo.name;
            }
          }
          if(column.property=="name"){
            if(!row["name"]){
              return "---";
            }else{
              return row.name;
            }
          }
          if(column.property=="nclOneCodesNum"){
            if(!row["nclOneCodesNum"]){
              return "---";
            }else{
              return row.nclOneCodesNum;
            }
          }
          return cellvalue;
        },
      onRowClick(row,key,e){
        if(key=="orderlist"){
          this.$root.pushx({
            title:"订单列表",
            name:"/sitestatisticorderlist",
            params:{siteid:row.id}
          });
        }
       },

    },
    computed: Vuex.mapState({
      count:state=>state.count,
      headStyle:function(){
        return {"background-color":"white"};
      }
    }),
    vname:"gsb_siteservicestatistic"
}
